Status: Closed

Priority: High

Assignee:

Category: GDAL Tools

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 25556
Description

In my: Settings > Options..., forGDAL, i have choosen "*High compression*" in my "*GDAL driver options™"...

First problem:

In QGIS 2.14.20/2.18.14, when i use : Menu Raster > Conversion > Translate (Convert format)

If i decide to check "Creation Options", QGIS have already selected "High compression" but in command line, we have :
"gdal_translate" and if i launch the translation, i have no compression...

To change it, i must to SELECT ANOTHER profile of compression AND the desired compression "High compression” to
change the command line into : "gdal_translate -co COMPRESS=DEFLATE -co PREDICTOR=2 -co ZLEVEL=9"... and if i launch the
translation, QGIS effectively compress my data...

In QGIS 2.99 (QGIS code revision : aa68a9faec), when i use : Menu Raster > Conversion > Translate (Convert format)
If i choose "High compression”, the board of "Additional creation parameters” stay empty... not with the other choices.

2nd problem:

When i use : Menu Raster > Conversion > Translate (Convert format)

In QGIS 2.14.20, i have no problem : if i check Batch mode, i can run it... and after a few minutes, i start getting results files.

In QGIS 2.18.14, i have a problem : if i check Batch mode, i can run it too... but, it starts without ever succeeding. | can wait as long

as i want, nothing happens, no files created...

No tried with QGIS 2.99 for the time...

History

#1 - 2017-12-11 10:28 AM - Olivier ATHIMON

Same problem with QGIS : 2.14.21/2.18.15 and QGIS 2.99...

#2 - 2018-02-02 11:27 AM - Alexander Bruy
- Status changed from Open to Feedback
Please test with latest master and file separate tickets for each issue if they persist.

#3 - 2018-02-23 03:37 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
